Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598903 - [abrt] crash in rabbitvcs-core-0.13.1-3.fc13: widget.py:89:filter_router:TypeError: could not parse subscript as a tree path
Summary: [abrt] crash in rabbitvcs-core-0.13.1-3.fc13: widget.py:89:filter_router:Type...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitvcs
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Juan Manuel Rodriguez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ebede190
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-02 10:14 UTC by chenglee
Modified: 2010-06-23 17:54 UTC (History)
1 user (show)

Fixed In Version: rabbitvcs-0.13.3-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-23 17:53:25 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-06-02 10:14 UTC, chenglee
no flags Details

Description chenglee 2010-06-02 10:14:53 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/lib/python2.6/site-packages/rabbitvcs/ui/updateto.py /home/lee/project/csd_trunk/soft/application
component: rabbitvcs
executable: /usr/lib/python2.6/site-packages/rabbitvcs/ui/updateto.py
kernel: 2.6.33.5-112.fc13.i686.PAE
package: rabbitvcs-core-0.13.1-3.fc13
reason: widget.py:89:filter_router:TypeError: could not parse subscript as a tree path
release: Fedora release 13 (Goddard)

backtrace
-----
widget.py:89:filter_router:TypeError: could not parse subscript as a tree path

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/rabbitvcs/ui/widget.py", line 89, in filter_router
    row = model.get_model()[model.get_path(iter)]
TypeError: could not parse subscript as a tree path

Local variables in innermost frame:
column: 0
model: <gtk.TreeModelFilter object at 0x9df5194 (GtkTreeModelFilter at 0x9e3a020)>
iter: <GtkTreeIter at 0xbf8f8b88>
filters: None

Comment 1 chenglee 2010-06-02 10:14:55 UTC
Created attachment 418976 [details]
File: backtrace

Comment 2 Juan Manuel Rodriguez 2010-06-02 15:09:02 UTC
There's a newer RabbitVCS in updates-testing. 
https://admin.fedoraproject.org/updates/rabbitvcs-0.13.2-1.fc13

Could you test this one and see if you can replicate before I file the bug upstream? 

Thanks.

Comment 3 Fedora Update System 2010-06-16 19:25:41 UTC
rabbitvcs-0.13.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rabbitvcs-0.13.3-1.fc13

Comment 4 Fedora Update System 2010-06-16 19:25:46 UTC
rabbitvcs-0.13.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rabbitvcs-0.13.3-1.fc12

Comment 5 Fedora Update System 2010-06-21 13:01:36 UTC
rabbitvcs-0.13.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rabbitvcs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rabbitvcs-0.13.3-1.fc13

Comment 6 Fedora Update System 2010-06-21 13:08:10 UTC
rabbitvcs-0.13.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rabbitvcs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rabbitvcs-0.13.3-1.fc12

Comment 7 Fedora Update System 2010-06-23 17:53:15 UTC
rabbitvcs-0.13.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-06-23 17:54:39 UTC
rabbitvcs-0.13.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.